﻿using Avalonia.Controls;
using ReactiveUI;

namespace avalonia_second_practic.ViewModels
{
    public class MainWindowViewModel : ViewModelBase
    {
        private UserControl _us = new PageOne();

        public UserControl Us
        {
            get => _us;
            set => this.RaiseAndSetIfChanged(ref _us, value);
        }

        PageOneViewModel _povm = new PageOneViewModel();

        public PageOneViewModel POVM
        {
            get => _povm;
            set => this.RaiseAndSetIfChanged(ref _povm, value);
        }

        PageTwoViewModel _ptvm = new PageTwoViewModel();

        public PageTwoViewModel PTVM
        {
            get => _ptvm;
            set => this.RaiseAndSetIfChanged(ref _ptvm, value);
        }

        public void GoToNext()
        {
            if (POVM.CaptchaVisible)
            {
                POVM.CheckCaptcha();
            }
            else
            {
                POVM.AuthUser();
            }

            if (POVM.SignalToNext)
            {
                Us = new PageTwo();
            }
        }
    }
}
